Qt 5.7 | Qt 3D | C++ Classes | QAxisSetting

Qt 5.7.1 Reference Documentation

# QAxisSetting Class

(Qt3DInput::QAxisSetting)

QAxisSetting stores settings for the specified list of Axis. More...

Header: | #include <QAxisSetting>
qmake: | QT += 3dinput
Since: | Qt 5.5
Instantiated By: | AxisSetting
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- axes : QVector<int>
- deadZoneRadius : float
- smooth : bool

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QAxisSetting(Qt3DCore::QNode *parent = nullptr)
QVector<int> | axes() const
float | deadZoneRadius() const
bool | isSmoothEnabled() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setAxes(const QVector<int> &axes)
void | setDeadZoneRadius(float deadZoneRadius)
void | setSmoothEnabled(bool enabled)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | axesChanged(const QVector<int> &axes)
void | deadZoneRadiusChanged(float deadZoneRadius)
void | smoothChanged(bool smooth)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

QAxisSetting stores settings for the specified list of Axis.

Stores the dead zone associated with this axis and defines if smoothing is enabled

## Property Documentation

### axes : QVector<int>

Access functions:

QVector<int> | axes() const
void | setAxes(const QVector<int> &axes)

Notifier signal:

void | axesChanged(const QVector<int> &axes)

### deadZoneRadius : float

Access functions:

float | deadZoneRadius() const
void | setDeadZoneRadius(float deadZoneRadius)

Notifier signal:

void | deadZoneRadiusChanged(float deadZoneRadius)

### smooth : bool

Access functions:

bool | isSmoothEnabled() const
void | setSmoothEnabled(bool enabled)

Notifier signal:

void | smoothChanged(bool smooth)

## Member Function Documentation

### QAxisSetting::QAxisSetting(Qt3DCore::QNode *parent = nullptr)

Constructs a new QAxisSetting instance with parent.

### QVector<int> QAxisSetting::axes() const

QAxisSetting::axes Returns the current list of Axis these settings apply to.

Note: Getter function for property axes.

See also setAxes().

### `[signal]` void QAxisSetting::axesChanged(const QVector<int> &axes)

This signal is emitted when the axes associated with the axis setting is changed to axes.

Note: Notifier signal for property axes.

### float QAxisSetting::deadZoneRadius() const

QAxisSetting::deadZoneRadius Returns the set dead zone radius.

Note: Getter function for property deadZoneRadius.

See also setDeadZoneRadius().

### `[signal]` void QAxisSetting::deadZoneRadiusChanged(float deadZoneRadius)

This signal is emitted when the Dead Zone radius associated with the axis setting is changed to deadZoneRadius.

Note: Notifier signal for property deadZoneRadius.

### bool QAxisSetting::isSmoothEnabled() const

QAxisSetting::isSmoothEnabled Returns if smoothing is enabled.

Note: Getter function for property smooth.

### `[slot]` void QAxisSetting::setAxes(const QVector<int> &axes)

Set the current axes of the QAxisSetting instance to axes.

Note: Setter function for property axes.

See also axes().

### `[slot]` void QAxisSetting::setDeadZoneRadius(float deadZoneRadius)

Set the current dead zone radius of the QAxisSetting instance to deadZoneRadius.

Note: Setter function for property deadZoneRadius.

See also deadZoneRadius().

### `[slot]` void QAxisSetting::setSmoothEnabled(bool enabled)

Set the current state of the QAxisSettings smoothing to enabled.

Note: Setter function for property smooth.

See also isSmoothEnabled().

### `[signal]` void QAxisSetting::smoothChanged(bool smooth)

This signal is emitted when the smoothing state is changed to smooth.

Note: Notifier signal for property smooth.